#!/usr/bin/env python
# coding: utf-8

# In[13]:


def get_primes():
    yield 2

    odd_primes = []
    number = 1
    while True:
        # Move to the next odd number.
        number += 2

        # See if number is divisible by any of the primes.
        is_prime = True
        for p in odd_primes:
            if number % p == 0:
                is_prime = False
                break
            if p * p >= number:
                break
        if is_prime:
            odd_primes.append(number)
            yield number


# In[15]:


for p in get_primes():
    if p > 100: break
    print(p, end=' ')

print()
for p in get_primes():
    print(p)
    another = input('Another (y/n)? ')
    if another == 'n': break


# In[18]:


for p in get_primes():
    if p > 20: break
    print(f'*** {p} ***')

    for q in get_primes():
        if q > 10: break
        print(f'{q}')



# In[ ]:




